Package org.h2gis.functions.io.fgb

## Class FGBWriteDriver

- java.lang.Object
- - org.h2gis.functions.io.fgb.FGBWriteDriver

    public class FGBWriteDriver
    extends Object

FlatGeobuffer write file

Author:
  Erwan Bocher, Nicolas Fortin

### Constructor Summary

Constructors
`FGBWriteDriver​(Connection connection)`

### Method Summary

All Methods Instance Methods Concrete Methods
`short` `getPackedRTreeNodeSize()`
`boolean` `isCreateIndex()`
`void` `setCreateIndex​(boolean createIndex)`
`void` `setPackedRTreeNodeSize​(short packedRTreeNodeSize)`
`String` `write​(org.h2gis.api.ProgressVisitor progress, String tableName, File fileName, boolean deleteFiles)` Write the spatial table to a FlatGeobuf file

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FGBWriteDriver

    public FGBWriteDriver​(Connection connection)

### Method Detail

#### getPackedRTreeNodeSize

    public short getPackedRTreeNodeSize()

#### setPackedRTreeNodeSize

    public void setPackedRTreeNodeSize​(short packedRTreeNodeSize)

#### isCreateIndex

    public boolean isCreateIndex()

#### setCreateIndex

    public void setCreateIndex​(boolean createIndex)

#### write

    public String write​(org.h2gis.api.ProgressVisitor progress,
                        String tableName,
                        File fileName,
                        boolean deleteFiles)
                 throws IOException,
                        SQLException

Write the spatial table to a FlatGeobuf file

Parameters:
  `progress` -
  `tableName` -
  `fileName` -
  `deleteFiles` -
Throws:
  `IOException`
  `SQLException`